> ## Documentation Index
> Fetch the complete documentation index at: https://docs.layerswap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Detailed Quote

> Retrieves a swap quote based on the provided route request. Network parameters accept either network names (e.g. ETHEREUM_MAINNET) or numeric chain IDs for EVM networks (e.g. 1). Token parameters accept either asset names (e.g. USDC, ETH) or token contract addresses (e.g. 0xa0b8...). For native tokens via contract address, use the network's zero address (e.g. 0x0000000000000000000000000000000000000000 for EVM, 11111111111111111111111111111111 for Solana).



## OpenAPI

````yaml https://api.layerswap.io/swagger/v2/swagger.json get /api/v2/detailed_quote
openapi: 3.0.1
info:
  title: Layerswap API V2
  version: v2
servers:
  - url: https://api.layerswap.io
    description: Mainnet
security:
  - X-LS-APIKEY: []
paths:
  /api/v2/detailed_quote:
    get:
      tags:
        - Swaps
      summary: Get Detailed Quote
      description: >-
        Retrieves a swap quote based on the provided route request. Network
        parameters accept either network names (e.g. ETHEREUM_MAINNET) or
        numeric chain IDs for EVM networks (e.g. 1). Token parameters accept
        either asset names (e.g. USDC, ETH) or token contract addresses (e.g.
        0xa0b8...). For native tokens via contract address, use the network's
        zero address (e.g. 0x0000000000000000000000000000000000000000 for EVM,
        11111111111111111111111111111111 for Solana).
      parameters:
        - name: source_network
          in: query
          required: true
          schema:
            type: string
          examples:
            Ethereum Mainnet:
              value: ETHEREUM_MAINNET
            Arbitrum Mainnet:
              value: ARBITRUM_MAINNET
            Optimism Mainnet:
              value: OPTIMISM_MAINNET
            BSC Mainnet:
              value: BSC_MAINNET
            Starknet Mainnet:
              value: STARKNET_MAINNET
            Solana Mainnet:
              value: SOLANA_MAINNET
        - name: source_token
          in: query
          required: true
          schema:
            type: string
          examples:
            ETH:
              value: ETH
            USDC:
              value: USDC
            USDC.e:
              value: USDC.e
            WETH:
              value: WETH
            USDC (contract):
              value: '0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48'
            Native token - EVM (contract):
              value: '0x0000000000000000000000000000000000000000'
            Native token - Solana (contract):
              value: '11111111111111111111111111111111'
        - name: destination_network
          in: query
          required: true
          schema:
            type: string
          examples:
            Ethereum Mainnet:
              value: ETHEREUM_MAINNET
            Arbitrum Mainnet:
              value: ARBITRUM_MAINNET
            Optimism Mainnet:
              value: OPTIMISM_MAINNET
            BSC Mainnet:
              value: BSC_MAINNET
            Starknet Mainnet:
              value: STARKNET_MAINNET
            Solana Mainnet:
              value: SOLANA_MAINNET
        - name: destination_token
          in: query
          required: true
          schema:
            type: string
          examples:
            ETH:
              value: ETH
            USDC:
              value: USDC
            USDC.e:
              value: USDC.e
            WETH:
              value: WETH
            USDC (contract):
              value: '0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48'
            Native token - EVM (contract):
              value: '0x0000000000000000000000000000000000000000'
            Native token - Solana (contract):
              value: '11111111111111111111111111111111'
        - name: use_deposit_address
          in: query
          schema:
            type: boolean
        - name: refuel
          in: query
          schema:
            type: boolean
        - name: source_address
          in: query
          schema:
            type: string
        - name: slippage
          in: query
          schema:
            type: string
        - name: X-LS-APIKEY
          in: header
          schema:
            type: string
            default: >-
              NDBxG+aon6WlbgIA2LfwmcbLU52qUL9qTnztTuTRPNSohf/VnxXpRaJlA5uLSQVqP8YGIiy/0mz+mMeZhLY4/Q
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponseListDetailedQuoteModel'
components:
  schemas:
    ApiResponseListDetailedQuoteModel:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ApiError'
        data:
          type: array
          items:
            $ref: '#/components/schemas/DetailedQuoteModel'
          nullable: true
      additionalProperties: false
    ApiError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        metadata:
          type: object
          additionalProperties: {}
      additionalProperties: false
    DetailedQuoteModel:
      type: object
      properties:
        avg_completion_milliseconds:
          type: number
          format: double
        min_amount:
          type: number
          format: double
        min_amount_in_usd:
          type: number
          format: double
        max_amount:
          type: number
          format: double
        max_amount_in_usd:
          type: number
          format: double
        fee_amount_for_min:
          type: number
          format: double
        fee_amount_for_max:
          type: number
          format: double
        total_percentage_fee:
          type: number
          format: double
        total_fixed_fee_in_usd:
          type: number
          format: double
        total_fixed_fee_in_source:
          type: number
          format: double
        path:
          type: array
          items:
            $ref: '#/components/schemas/SwapRouteWithProviderModel'
      additionalProperties: false
    SwapRouteWithProviderModel:
      type: object
      properties:
        id:
          type: integer
          format: int32
        service_fee_in_source:
          type: number
          format: double
        service_fee_in_usd:
          type: number
          format: double
        service_fee_percentage:
          type: number
          format: double
        expense_in_source:
          type: number
          format: double
        expense_fee_in_usd:
          type: number
          format: double
        expense_fee_percentage:
          type: number
          format: double
        fee_in_source:
          type: number
          format: double
          readOnly: true
        fee_in_usd:
          type: number
          format: double
          readOnly: true
        avg_completion_milliseconds:
          type: number
          format: double
        provider_name:
          type: string
        order:
          type: integer
          format: int32
      additionalProperties: false
  securitySchemes:
    X-LS-APIKEY:
      type: apiKey
      name: X-LS-APIKEY
      in: header

````